Delete a RICAL signer
Roles
Analytics Events
/v1/ecosystems/certificates/rical-signers/{ricalSignerId}Deletes a RICAL signer.
Deleting a RICAL signer does not affect any RICALs it has already signed — those remain valid. It only means this signer can no longer be used to sign new RICALs.
Analytic events
- ECOSYSTEM_RICAL_SIGNER_CERTIFICATE_DELETE_START
- ECOSYSTEM_RICAL_SIGNER_CERTIFICATE_DELETE_SUCCESS
- ECOSYSTEM_RICAL_SIGNER_CERTIFICATE_DELETE_FAIL
Authorization
bearerAuth In: header
Path Parameters
Unique identifier of the RICAL signer.
uuidResponse Body
application/json
application/json
curl -X DELETE "https://example.vii.au01.mattr.global/v1/ecosystems/certificates/rical-signers/123e4567-e89b-12d3-a456-426614174000"{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Update a RICAL signer PUT
Updates a RICAL signer by: - Providing a RICAL Signer Certificate in PEM format that matches its Certificate Signing Request (CSR). - Activating or deactivating the RICAL signer. Only RICAL signers with a valid `certificatePem` can be activated. - The `certificatePem` field becomes immutable after it's updated for the first time. <Callout> Only available in implementations using unmanaged (external) DTS root CA certificates. </Callout> ### **Analytic events** * ECOSYSTEM_RICAL_SIGNER_CERTIFICATE_UPDATE_START * ECOSYSTEM_RICAL_SIGNER_CERTIFICATE_UPDATE_SUCCESS * ECOSYSTEM_RICAL_SIGNER_CERTIFICATE_UPDATE_FAIL
Create ecosystem POST
Creates an ecosystem. ### **Analytic events** * ECOSYSTEM_CREATE_START * ECOSYSTEM_CREATE_SUCCESS * ECOSYSTEM_CREATE_FAIL